当前位置:首页 > 开发 > 编程语言 > Ruby > 正文

Ruby 系列安装

发表于: 2011-07-04   作者:coolesting   来源:转载   浏览:
摘要: 环境: ubuntu10.04, ruby1.9.2, gem1.8.5, rails3等 1. 下载包 ruby下载: http://www.ruby-lang.org/en/downloads/ gem下载: http://rubyforge.org/frs/?group_id=126 1.1 安装依赖包 和 ruby $ sudo su (entering the p

环境: ubuntu10.04, ruby1.9.2, gem1.8.5, rails3等

1. 下载包
ruby下载: http://www.ruby-lang.org/en/downloads/
gem下载: http://rubyforge.org/frs/?group_id=126

1.1 安装依赖包 和 ruby
$ sudo su
(entering the password)
# aptitude install build-essential libssl-dev libreadline5 libyaml-ruby libreadline5-dev zlib1g zlib1g-dev

# tar xzvf ruby-X.X.X.tar.gz   (ruby-X.X.X.tar.gz 这是下载文件名)
# cd ruby-X.X.X
# ./configure --prefix=/usr/local/ruby
# make && make install


1.2 设置path值
# export PATH=/usr/local/ruby/bin:$PATH
# source /etc/profile
(如果已经安装过ruby的, 可以这样设置, # ln -sf /usr/local/ruby /usr/bin/ruby)


1.3 安装gem,这个是ruby的第三方应用包, 大部份功能都在这里
#tar xzvf rubygems-X.X.X.tgz   (-X.X.X为版本号)
#cd rubygems-X.X.X/
#ruby setup.rb

1.4 设置path值
# vi /etc/environment
(
fixing the path as the following, then restarting your system.
/usr/local/ruby/bin:/usr/local/ruby/bin/gem:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games
)

#gem -v  (版本)
#gem env (环境)

先更新gem
$gem update --system
(
如果上面命令不能更新,即nothing to update, 则安装如下
$gem install update_rubygems
$update_rubygems
)


1.5 安装rails
(   这里通常直接安装会是错漏百出, 作者安装好几次都是这样。
   错误: Installing Rails 3.0.0 - File not found: lib
   要先安装下列的应用包
)
$sudo apt-get install sqlite3 libsqlite3-dev
$sudo gem install sqlite3-ruby
$sudo gem install rdoc-data
$sudo gem install rails





小结:
在安装过程出现的各种问题无非包括如下:  (从这几点入手很容易解决问题)
1.版本之间不兼容, 2.配置不正确, 3.缺少安装依赖应用包


(没完, 剩下的整理中)

Ruby 系列安装

  • 0

    开心

    开心

  • 0

    板砖

    板砖

  • 0

    感动

    感动

  • 0

    有用

    有用

  • 0

    疑问

    疑问

  • 0

    难过

    难过

  • 0

    无聊

    无聊

  • 0

    震惊

    震惊

版权所有 IT知识库 CopyRight © 2009-2015 IT知识库 IT610.com , All Rights Reserved. 京ICP备09083238号